main#primary {
	container-type: inline-size;
}

.the-content {
	display: grid;
	grid-template-columns: min(100%, var(--wp--style--global--content-size));
	justify-content: center;

	> :where(:not(.is-layout-constrained)) {
		/* I _think_ this should be here and not in theme.json? */
		margin: var(--wp--preset--spacing--20) var(--wp--style--root--padding-right)
			0 var(--wp--style--root--padding-left);

		> * {
			margin-inline-start: var(--wp--style--root--padding-right);
			margin-inline-end: var(--wp--style--root--padding-left);
		}
	}

	> :where(.is-layout-constrained) {
		> * {
			padding-inline-start: var(--wp--style--root--padding-left);
			padding-inline-end: var(--wp--style--root--padding-right);
		}
	}

	> * {
		margin-block-start: var(--wp--preset--spacing--20);
	}

	/* This _should_ override > * above. */
	> .alignfull + .alignfull,
	> :where(:first-child) {
		margin-block-start: 0;
	}

	/* biome-ignore lint: Isn't an issue. */
	.alignfull {
		clear: both;
		justify-self: center;
		width: 100cqw;
	}

	.alignleft {
		float: left;
		margin-block-start: var(--wp--preset--spacing--10);
		margin-block-end: var(--wp--preset--spacing--10);
		margin-inline-end: var(--wp--preset--spacing--10);
	}

	.alignright {
		float: right;
		margin-block-start: var(--wp--preset--spacing--10);
		margin-block-end: var(--wp--preset--spacing--10);
		margin-inline-start: var(--wp--preset--spacing--10);
	}

	.alignwide {
		justify-self: center;
		width: 100cqw;
		max-width: var(--wp--style--global--wide-size);
	}

	.gform_wrapper > * {
		margin-inline-start: 0;
		margin-inline-end: 0;
	}
}
